// Toolbar Install Script for Firebird
// TuvBar 0.2
// thomas.springer@tuev-sued.de

const myProductName = "TuvBar Security-Toolbar for Firebird";
const myChromeName = "tuvbar";
const myOrgHandle = "serveraudit.net";
const myProductRegName = "tuvbar";
const myProductRegVersion = "0.2";
const myJarFileName = "tuvbar.zip";
const mySuccessMessage = "The "+myProductName+" has been successfully installed.  Restart your browser for changes to take effect.";
const myErrorMessage = "Install failed!  You probably don't have appropriate permissions (write access to the mozilla/chrome directory)";


// Installation Script

var err = initInstall(myProductName, myOrgHandle+"/"+myProductRegName, myProductRegVersion);
logComment("initInstall: " + err);


// fChrome = getFolder("Profile","chrome");
fChrome = getFolder("Chrome");

setPackageFolder(fChrome);
err = addFile(myJarFileName)

logComment("addFile() returned: " + err);

regErr = registerChrome(PACKAGE | DELAYED_CHROME, getFolder(fChrome,myJarFileName), "content/");

logComment("regChrome returned: " + regErr);


var err = getLastError();

if (err == SUCCESS)
{
  err = performInstall();

  if (err == SUCCESS)
  {
    alert(mySuccessMessage);
  }
  else
  {
    // alert(myErrorMessage);
    cancelInstall(err)
  }
}
else
  cancelInstall(err);